# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "ockam_key_exchange_core"
version = "0.28.0"
authors = ["Ockam Developers"]
description = "The Ockam Key Exchange trait.\n"
homepage = "https://github.com/ockam-network/ockam"
readme = "README.md"
keywords = ["ockam", "crypto", "kex", "cryptography", "encryption"]
categories = ["cryptography", "asynchronous", "authentication", "embedded", "no-std"]
license = "Apache-2.0"
repository = "https://github.com/ockam-network/ockam/tree/develop/implementations/rust/ockam/ockam_key_exchange_core"
resolver = "2"
[dependencies.ockam_core]
version = "0.36.0"
default_features = false

[dependencies.ockam_vault_core]
version = "0.30.0"
default_features = false

[dependencies.zeroize]
version = "1.4.2"
features = ["zeroize_derive"]

[features]
alloc = ["ockam_core/alloc", "ockam_vault_core/alloc"]
default = ["std"]
no_std = ["ockam_core/no_std", "ockam_vault_core/no_std"]
std = ["ockam_core/std", "ockam_vault_core/std", "alloc"]
